# Appstock SDK iOS - Overview

Appstock SDK is a native library that monetizes iOS applications. The latest SDK version is **1.0.0**.

The minimum deployment target is **iOS 12.0**.

Demo applications (Swift, ObjC): https://public-sdk.al-ad.com/ios/appstock-demo/demo-app-1.0.0/demo-app-1.0.0.zip

## Integration and configuration

Follow the [integration instructions](./2-appstock-sdk-ios-integration.md#ios-sdk---integration) to add the SDK to your app. Once the SDK is integrated, you can provide [configuration options](./6-appstock-sdk-ios-parametrization.md#ios-sdk---sdk-parametrization) that will help increase your revenue. Keep in mind that the SDK supports basic [consent providers](./7-appstock-sdk-ios-consent-management.md#ios-sdk---consent-management) according to industry standards.  

Appstock SDK supports the following ad formats: 

- [Banner](./3-appstock-sdk-ios-banner.md#ios-sdk---banner) (HTML or Video)
- [Interstitial](./4-appstock-sdk-ios-interstitial.md#ios-sdk---interstitial) (HTML and Video)
- [Native](./5-appstock-sdk-ios-native.md#ios-sdk---native)

The SDK can be integrated directly into your app or via supported Mediation Adapters: 

- [AppLovin MAX](./9-appstock-sdk-ios-applovin.md#ios-sdk---mediation---applovin)
- [GMA SDK](./8-appstock-sdk-ios-admob.md#ios-sdk---mediation---admob) (AdMob, GAM) 
